import { SeriesDescription } from "./SeriesDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class ShapeSeriesBaseDescription extends SeriesDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private d6;
    get isCustomShapeStyleAllowed(): boolean;
    set isCustomShapeStyleAllowed(a: boolean);
    private d5;
    get isCustomShapeMarkerStyleAllowed(): boolean;
    set isCustomShapeMarkerStyleAllowed(a: boolean);
    private ef;
    get actualItemSearchMode(): string;
    set actualItemSearchMode(a: string);
    private ej;
    get itemSearchMode(): string;
    set itemSearchMode(a: string);
    private ec;
    get itemSearchThreshold(): number;
    set itemSearchThreshold(a: number);
    private eb;
    get itemSearchPointsThreshold(): number;
    set itemSearchPointsThreshold(a: number);
    private ek;
    get shapeMemberPath(): string;
    set shapeMemberPath(a: string);
    private ei;
    get highlightedShapeMemberPath(): string;
    set highlightedShapeMemberPath(a: string);
    private em;
    get xAxisRef(): string;
    set xAxisRef(a: string);
    private en;
    get yAxisRef(): string;
    set yAxisRef(a: string);
    private d9;
    get shapeFilterResolution(): number;
    set shapeFilterResolution(a: number);
    private eh;
    get assigningShapeStyleRef(): string;
    set assigningShapeStyleRef(a: string);
    private eg;
    get assigningShapeMarkerStyleRef(): string;
    set assigningShapeMarkerStyleRef(a: string);
    private el;
    get styleShapeRef(): string;
    set styleShapeRef(a: string);
}
